Bug 1808127 - picard-2.3.1 is available
Summary: picard-2.3.1 is available
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: picard
Version: rawhide
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
Assignee: Gerald Cox
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-02-27 21:24 UTC by Upstream Release Monitoring
Modified: 2020-03-16 20:30 UTC (History)
5 users (show)

Fixed In Version: picard-2.3.1-1.fc30 picard-2.3.1-1.fc31 picard-2.3.1-1.fc32
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-03-09 02:27:54 UTC
Type: ---


Attachments (Terms of Use)

Description Upstream Release Monitoring 2020-02-27 21:24:50 UTC
Latest upstream release: 2.3.1
Current version/release in rawhide: 2.3.0-1.fc33
URL: http://picard.musicbrainz.org/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy


More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from anitya: https://release-monitoring.org/project/3633/

Comment 1 Upstream Release Monitoring 2020-02-27 21:25:02 UTC
The following Sources of the specfile are not valid URLs so we cannot automatically build the new version for you.  Please use URLs in your Source declarations if possible.

- picard.rpmlintrc

Comment 2 Gerald Cox 2020-02-28 14:03:51 UTC
MusicBrainz Picard 2.3.1

Bug-fix

    PICARD-1745 - Packaged libdiscid is not compatible with macOS 10.12
    PICARD-1748 - Many release events can cause the versions context menu to overflow
    PICARD-1750 - Existing acoustid_fingerprint tags are not considered for AcoustID submission
    PICARD-1754 - DEL always removes release or file from main window
    PICARD-1756 - Plugin update fails to compare plugin versions with double digit versions
    PICARD-1757 - Crash on loading a release if $div(n,0) is used in a script
    PICARD-1760 - Prevent duplicates in top tags editor
    PICARD-1762 - Dropping a PDF file on cover art image box doesn't work
    PICARD-1765 - Adding uppercase tags to preserved tags list is not handled correctly
    PICARD-1772 - Unexpected results with $num function
    PICARD-1773 - Untrapped error on $mod with zero input
    PICARD-1774 - $lenmulti with missing name returns "1"

New Feature

    PICARD-1743 - Add script functions $sortmulti and $reversemulti to sort and reverse multi-value variables
    PICARD-1751 - Provide a %_releasecountries% variable

Improvement

    PICARD-1746 - Change Generate AcoustID Fingerprints shortcut to Ctrl+Shift+Y / ⌘⇧Y
    PICARD-1752 - Use preferred release countries to select a matching release country if there are multiple
    PICARD-1755 - "Supported Languages" on Microsoft Store shows only English (United States)
    PICARD-1759 - Make editing tags in top tags list more intuitive
    PICARD-1771 - Completely ignore release types set to zero in preferred releases

Comment 3 Fedora Update System 2020-02-29 13:39:40 UTC
FEDORA-2020-ffef0d5504 has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-ffef0d5504

Comment 4 Fedora Update System 2020-02-29 13:40:04 UTC
FEDORA-2020-091a1e022a has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2020-091a1e022a

Comment 5 Fedora Update System 2020-02-29 13:40:25 UTC
FEDORA-2020-2e5b31b9f3 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2020-2e5b31b9f3

Comment 6 Fedora Update System 2020-02-29 21:14:41 UTC
picard-2.3.1-1.fc32 has been pushed to the Fedora 32 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-ffef0d5504

Comment 7 Fedora Update System 2020-02-29 22:57:30 UTC
picard-2.3.1-1.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-2e5b31b9f3

Comment 8 Fedora Update System 2020-02-29 23:23:15 UTC
picard-2.3.1-1.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-091a1e022a

Comment 9 Fedora Update System 2020-03-09 02:27:54 UTC
picard-2.3.1-1.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2020-03-09 03:14:18 UTC
picard-2.3.1-1.fc31 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2020-03-16 20:17:59 UTC
picard-2.3.1-1.fc32 has been pushed to the Fedora 32 stable repository. If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2020-03-16 20:30:32 UTC
picard-2.3.1-1.fc32 has been pushed to the Fedora 32 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.